<?php
// Add form-specific settings in the CF7 form editor
function cf7_stylesheet_form_settings($tag) {
    $form_id = isset($tag->id) ? $tag->id : '';
    $selected_style = get_post_meta($form_id, '_cf7_selected_stylesheet', true);

    $stylesheets = [
        'cf7-stylesheet' => 'Default Style',
        'cf7-stylesheet-big' => 'Big Style',
        'cf7-stylesheet-big-dark' => 'Big Dark Style',
        'cf7-stylesheet-small' => 'Small Style',
        'cf7-stylesheet-small-dark' => 'Small Dark Style',
        'cf7-stylesheet-bootstrap' => 'Bootstrap Style',
        'cf7-stylesheet-border' => 'Border Style',
        'cf7-stylesheet-round' => 'Round Style',
        'cf7-stylesheet-colorful' => 'Colorful Style',
        'cf7-stylesheet-digital' => 'Digital Style',
        'cf7-stylesheet-digital-dark' => 'Digital Dark Style'
    ];

    echo '<h2>Stylesheet Settings</h2>';
    echo '<select name="cf7_selected_stylesheet">';
    foreach ($stylesheets as $value => $label) {
        $selected = ($value == $selected_style) ? 'selected="selected"' : '';
        echo '<option value="' . esc_attr($value) . '" ' . $selected . '>' . esc_html($label) . '</option>';
    }
    echo '</select>';
}
add_action('wpcf7_admin_after_form', 'cf7_stylesheet_form_settings');

// Save form-specific settings
function cf7_stylesheet_save_form_settings($cf7) {
    $form_id = $cf7->id();
    if (isset($_POST['cf7_selected_stylesheet'])) {
        update_post_meta($form_id, '_cf7_selected_stylesheet', sanitize_text_field($_POST['cf7_selected_stylesheet']));
    }
}
add_action('wpcf7_save_contact_form', 'cf7_stylesheet_save_form_settings');
?>
