<?php
/*
Plugin Name: EasyCSS - CF7 Stylesheet (EasyToolsWP)
Plugin URI: https://www.easytoolswp.com/easycss/etwp-cf7-stylesheet.zip
Description: Adds stylesheet options to Contact Form 7 forms.
Version: 1.0
Author: EasyToolsWP.com
*/

if (!defined('ABSPATH')) {
    exit; // Exit if accessed directly.
}

// Include admin settings page
include(plugin_dir_path(__FILE__) . 'admin/admin-setting.php');
include(plugin_dir_path(__FILE__) . 'admin/admin-form-settings.php');

// Enqueue stylesheets
function cf7_stylesheet_enqueue_styles() {
    wp_register_style('cf7-stylesheet', plugins_url('styles/cf7-stylesheet.css', __FILE__));
    wp_register_style('cf7-stylesheet-big', plugins_url('styles/cf7-stylesheet-big.css', __FILE__));
    wp_register_style('cf7-stylesheet-big-dark', plugins_url('styles/cf7-stylesheet-big-dark.css', __FILE__));
    wp_register_style('cf7-stylesheet-small', plugins_url('styles/cf7-stylesheet-small.css', __FILE__));
    wp_register_style('cf7-stylesheet-small-dark', plugins_url('styles/cf7-stylesheet-small-dark.css', __FILE__));
    wp_register_style('cf7-stylesheet-bootstrap', plugins_url('styles/cf7-stylesheet-bootstrap-style.css', __FILE__));
    wp_register_style('cf7-stylesheet-border', plugins_url('styles/cf7-stylesheet-border.css', __FILE__));
    wp_register_style('cf7-stylesheet-round', plugins_url('styles/cf7-stylesheet-round.css', __FILE__));
    wp_register_style('cf7-stylesheet-colorful', plugins_url('styles/cf7-stylesheet-colorful.css', __FILE__));
    wp_register_style('cf7-stylesheet-digital', plugins_url('styles/cf7-stylesheet-digital.css', __FILE__));
    wp_register_style('cf7-stylesheet-digital-dark', plugins_url('styles/cf7-stylesheet-digital-dark.css', __FILE__));
}
add_action('wp_enqueue_scripts', 'cf7_stylesheet_enqueue_styles');

// Load the selected stylesheet for each form
function cf7_stylesheet_load_selected_style($form) {
    // Check if $form is a valid CF7 object
    if (is_object($form) && method_exists($form, 'id')) {
        $form_id = $form->id();
        $selected_style = get_post_meta($form_id, '_cf7_selected_stylesheet', true);

        if ($selected_style) {
            wp_enqueue_style($selected_style);
        }
    }
}
add_action('wpcf7_enqueue_scripts', 'cf7_stylesheet_load_selected_style');
?>
